VTK: vtkOTScatterPlotMatrix Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkOTScatterPlotMatrix Class Reference

container for a matrix of charts. More...

`#include <vtkOTScatterPlotMatrix.h>`

Inheritance diagram for vtkOTScatterPlotMatrix:
[legend]
Collaboration diagram for vtkOTScatterPlotMatrix:
[legend]

## Public Types
typedef vtkScatterPlotMatrix | Superclass
Public Types inherited from vtkScatterPlotMatrix
enum | { SCATTERPLOT , HISTOGRAM , ACTIVEPLOT , NOPLOT }
typedef vtkChartMatrix | Superclass
Public Types inherited from vtkChartMatrix
enum class | StretchType : unsigned int { SCENE = 0 , CUSTOM }
typedef vtkAbstractContextItem | Superclass
Public Types inherited from vtkAbstractContextItem
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkOTScatterPlotMatrix * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetDensityMapVisibility (int plotType, bool visible)
| Set the visibility of density map for the specific plotType, false by default. More...
void | SetDensityLineSize (int plotType, float size)
| Set the density line size for the specified plotType, 2 by default. More...
void | SetDensityMapColor (int plotType, unsigned int densityLineIndex, const vtkColor4ub &color)
| Set the color for the specified plotType, automatically distributed on HSV by default. More...
void | SetTransferFunction (vtkScalarsToColors *stc)
| Get/Set a custom color transfer function. More...
vtkScalarsToColors * | GetTransferFunction ()
| Get/Set a custom color transfer function. More...
Public Member Functions inherited from vtkScatterPlotMatrix
vtkScatterPlotMatrix * | NewInstance () const
void | Update () override
| Perform any updates to the item that may be necessary before rendering. More...
bool | Paint (vtkContext2D *painter) override
| Paint event for the chart matrix. More...
void | SetScene (vtkContextScene *scene) override
| Set the vtkContextScene for the item, always set for an item in a scene. More...
virtual bool | SetActivePlot (const vtkVector2i &position)
| Set the active plot, the one that will be displayed in the top-right. More...
void | SetSize (const vtkVector2i &size) override
| Reset ActivePlotSet flag and call superclass method. More...
virtual vtkVector2i | GetActivePlot ()
| Get the position of the active plot. More...
vtkAnnotationLink * | GetAnnotationLink ()
| Get the AnnotationLink for the scatter plot matrix, this gives you access to the currently selected points in the scatter plot matrix. More...
virtual void | SetInput (vtkTable *table)
| Set the input table for the scatter plot matrix. More...
void | SetColumnVisibility (const vtkStdString &name, bool visible)
| Set the visibility of the specified column. More...
void | InsertVisibleColumn (const vtkStdString &name, int index)
| Insert the specified column at the index position of the visible columns. More...
bool | GetColumnVisibility (const vtkStdString &name)
| Get the visibility of the specified column. More...
void | SetColumnVisibilityAll (bool visible)
| Set the visibility of all columns (true will make them all visible, false will remove all visible columns). More...
virtual vtkStringArray * | GetVisibleColumns ()
| Get a list of the columns, and the order in which they are displayed. More...
virtual void | SetVisibleColumns (vtkStringArray *visColumns)
| Set the list of visible columns, and the order in which they will be displayed. More...
virtual void | SetNumberOfBins (int numberOfBins)
| Set the number of bins in the histograms along the central diagonal of the scatter plot matrix. More...
virtual int | GetNumberOfBins () const
| Get the number of bins the histograms along the central diagonal scatter plot matrix. More...
void | SetPlotColor (int plotType, const vtkColor4ub &color)
| Set the color for the specified plotType. More...
void | SetPlotMarkerStyle (int plotType, int style)
| Sets the marker style for the specified plotType. More...
void | SetPlotMarkerSize (int plotType, float size)
| Sets the marker size for the specified plotType. More...
bool | Hit (const vtkContextMouseEvent &mouse) override
| Return true if the supplied x, y coordinate is inside the item. More...
bool | MouseMoveEvent (const vtkContextMouseEvent &mouse) override
| Mouse move event. More...
bool | MouseButtonPressEvent (const vtkContextMouseEvent &mouse) override
| Mouse button down event. More...
bool | MouseButtonReleaseEvent (const vtkContextMouseEvent &mouse) override
| Mouse button release event. More...
void | SetTooltip (vtkTooltipItem *tooltip)
| Set the vtkTooltipItem object that will be displayed by the active chart. More...
vtkTooltipItem * | GetTooltip () const
| Get the vtkTooltipItem object that will be displayed by the active chart. More...
void | SetIndexedLabels (vtkStringArray *labels)
| Set indexed labels array. More...
vtkStringArray * | GetIndexedLabels () const
| Get the indexed labels array. More...
void | UpdateSettings ()
| Convenient method to update all the chart settings. More...
void | UpdateChartSettings (int plotType)
| Update charts based on settings given the plot type. More...
vtkStdString | GetColumnName (int column)
| Get the column name for the supplied index. More...
vtkStdString | GetRowName (int row)
| Get the column name for the supplied index. More...
void | SetNumberOfFrames (int frames)
| Set the number of animation frames in each transition. More...
int | GetNumberOfFrames ()
| Get the number of animation frames in each transition. More...
void | ClearAnimationPath ()
| Clear the animation path. More...
bool | AddAnimationPath (const vtkVector2i &move)
| Add a move to the animation path. More...
vtkIdType | GetNumberOfAnimationPathElements ()
| Get the number of elements (transitions) in the animation path. More...
vtkVector2i | GetAnimationPathElement (vtkIdType i)
| Get the element specified from the animation path. More...
bool | BeginAnimationPath (vtkRenderWindowInteractor *interactor)
| Trigger the animation of the scatter plot matrix to begin. More...
virtual void | AdvanceAnimation ()
| Advance the animation in response to the timer events. More...
virtual vtkChart * | GetMainChart ()
| Get the main plot (the one in the top-right of the matrix. More...
int | GetPlotType (const vtkVector2i &pos)
| Returns the type of the plot at the given position. More...
int | GetPlotType (int row, int column)
| Returns the type of the plot at the given position. More...
void | SetTitle (const vtkStdString &title)
| Set/get the scatter plot title. More...
vtkStdString | GetTitle ()
| Set/get the scatter plot title. More...
void | SetTitleProperties (vtkTextProperty *prop)
| Set/get the text properties for the chart title, i.e. More...
vtkTextProperty * | GetTitleProperties ()
| Set/get the text properties for the chart title, i.e. More...
void | SetGridVisibility (int plotType, bool visible)
| Sets whether or not the grid for the given axis is visible given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
bool | GetGridVisibility (int plotType)
| Sets whether or not the grid for the given axis is visible given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
void | SetBackgroundColor (int plotType, const vtkColor4ub &color)
| Sets the background color for the chart given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
vtkColor4ub | GetBackgroundColor (int plotType)
| Sets the background color for the chart given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
void | SetAxisColor (int plotType, const vtkColor4ub &color)
| Sets the color for the axes given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
vtkColor4ub | GetAxisColor (int plotType)
| Sets the color for the axes given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
void | SetGridColor (int plotType, const vtkColor4ub &color)
| Sets the color for the axes given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
vtkColor4ub | GetGridColor (int plotType)
| Sets the color for the axes given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
void | SetAxisLabelVisibility (int plotType, bool visible)
| Sets whether or not the labels for the axes are visible, given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
bool | GetAxisLabelVisibility (int plotType)
| Sets whether or not the labels for the axes are visible, given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
void | SetAxisLabelProperties (int plotType, vtkTextProperty *prop)
| Set/get the text property for the axis labels of the given plot type, possible types are vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
vtkTextProperty * | GetAxisLabelProperties (int plotType)
| Set/get the text property for the axis labels of the given plot type, possible types are vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
void | SetAxisLabelNotation (int plotType, int notation)
| Sets the axis label notation for the axes given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
int | GetAxisLabelNotation (int plotType)
| Sets the axis label notation for the axes given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
void | SetAxisLabelPrecision (int plotType, int precision)
| Sets the axis label precision for the axes given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
int | GetAxisLabelPrecision (int plotType)
| Sets the axis label precision for the axes given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
void | SetTooltipNotation (int plotType, int notation)
| Set chart's tooltip notation and precision, given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
void | SetTooltipPrecision (int plotType, int precision)
| Set chart's tooltip notation and precision, given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
int | GetTooltipNotation (int plotType)
| Set chart's tooltip notation and precision, given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
int | GetTooltipPrecision (int plotType)
| Set chart's tooltip notation and precision, given a plot type, which refers to vtkScatterPlotMatrix::{SCATTERPLOT, HISTOGRAM, ACTIVEPLOT}. More...
void | SetScatterPlotSelectedRowColumnColor (const vtkColor4ub &color)
| Set the scatter plot selected row/column charts' background color. More...
vtkColor4ub | GetScatterPlotSelectedRowColumnColor ()
| Set the scatter plot selected row/column charts' background color. More...
void | SetScatterPlotSelectedActiveColor (const vtkColor4ub &color)
| Set the scatter plot selected active chart background color. More...
vtkColor4ub | GetScatterPlotSelectedActiveColor ()
| Set the scatter plot selected active chart background color. More...
virtual void | SetSelectionMode (int)
| Set/get the Selection Mode that will be used by the chart while doing selection. More...
virtual int | GetSelectionMode ()
| Set/get the Selection Mode that will be used by the chart while doing selection. More...
Public Member Functions inherited from vtkChartMatrix
vtkChartMatrix * | NewInstance () const
virtual vtkVector2i | GetSize () const
| Get the width and height of the chart matrix. More...
virtual vtkVector2f | GetGutter () const
| Get the gutter that should be left between the charts in the matrix. More...
virtual void | Allocate ()
| Allocate the charts, this will cause any null chart to be allocated. More...
virtual bool | SetChart (const vtkVector2i &position, vtkChart *chart)
| Set the chart element, note that the chart matrix must be large enough to accommodate the element being set. More...
virtual vtkChart * | GetChart (const vtkVector2i &position)
| Get the specified chart element, if the element does not exist nullptr will be returned. More...
virtual bool | SetChartSpan (const vtkVector2i &position, const vtkVector2i &span)
| Set the span of an element in the matrix. More...
virtual vtkVector2i | GetChartSpan (const vtkVector2i &position)
| Get the span of the specified element. More...
virtual vtkVector2i | GetChartIndex (const vtkVector2f &position)
| Get the position of an element in the matrix at the specified location. More...
virtual std::size_t | GetFlatIndex (const vtkVector2i &index)
| Get internal 1-D index corresponding to the 2-D element index. More...
virtual std::size_t | GetNumberOfCharts ()
| Total number of charts within this chart matrix. More...
virtual void | LabelOuter (const vtkVector2i &leftBottomIdx, const vtkVector2i &rightTopIdx)
| Link all charts in the rectangle from leftBottom to rightTop. More...
virtual bool | SetChartMatrix (const vtkVector2i &position, vtkChartMatrix *chartMatrix)
| Set the element at position to a chart matrix, note that the chart matrix must be large enough to accommodate the element being set. More...
virtual vtkChartMatrix * | GetChartMatrix (const vtkVector2i &position)
| Get the specified chart matrix element. More...
virtual vtkRectf | ComputeCurrentElementSceneRect (const vtkVector2i &index, const vtkVector2f &offset, const vtkVector2f &increment)
| Override this method if you want to customize layout instead of the default. More...
virtual void | SetBorders (int left, int bottom, int right, int top)
| Set/get the borders of the chart matrix (space in pixels around each chart). More...
void | SetBorderLeft (int value)
| Set/get the borders of the chart matrix (space in pixels around each chart). More...
void | SetBorderBottom (int value)
| Set/get the borders of the chart matrix (space in pixels around each chart). More...
void | SetBorderRight (int value)
| Set/get the borders of the chart matrix (space in pixels around each chart). More...
void | SetBorderTop (int value)
| Set/get the borders of the chart matrix (space in pixels around each chart). More...
virtual void | GetBorders (int borders[4])
| Set/get the borders of the chart matrix (space in pixels around each chart). More...
virtual void | SetGutter (const vtkVector2f &gutter)
| Set the gutter that should be left between the charts in the matrix. More...
void | SetGutterX (float value)
| Set the gutter that should be left between the charts in the matrix. More...
void | SetGutterY (float value)
| Set the gutter that should be left between the charts in the matrix. More...
virtual void | SetPadding (const float &padding)
| Set the gutter that should be left between the charts in the matrix. More...
virtual void | SetSpecificResize (const vtkVector2i &index, const vtkVector2f &resize)
| Set a specific resize that will move the bottom left point of a chart. More...
virtual void | ClearSpecificResizes ()
| Set a specific resize that will move the bottom left point of a chart. More...
virtual void | Link (const vtkVector2i &index1, const vtkVector2i &index2, int axis=1)
| The chart at index2 will be setup to mimic axis range of chart at index1 for specified axis. More...
virtual void | Link (const size_t &flatIndex1, const size_t &flatIndex2, int axis=1)
| The chart at index2 will be setup to mimic axis range of chart at index1 for specified axis. More...
virtual void | LinkAll (const vtkVector2i &index, int axis=1)
| Link a chart to all other charts in this chart matrix for specified axis. More...
virtual void | LinkAll (const size_t &flatIndex, int axis=1)
| Link a chart to all other charts in this chart matrix for specified axis. More...
virtual void | Unlink (const vtkVector2i &index1, const vtkVector2i &index2, int axis=1)
| Unlink the two charts for specified axis i.e, Chart at index2 will no longer mimic the axis range of chart at index1. More...
virtual void | Unlink (const size_t &flatIndex1, const size_t &flatIndex2, int axis=1)
| Unlink the two charts for specified axis i.e, Chart at index2 will no longer mimic the axis range of chart at index1. More...
virtual void | UnlinkAll (const vtkVector2i &index, int axis=1)
| Unlink all charts from given chart for a specified axis. More...
virtual void | UnlinkAll (const size_t &flatIndex, int axis=1)
| Unlink all charts from given chart for a specified axis. More...
virtual void | ResetLinks (int axis=1)
| Unlink every chart from all other charts for a specified axis. More...
virtual void | ResetLinkedLayout ()
| Unlink every chart from all other charts for a specified axis. More...
virtual void | SetRect (vtkRecti rect)
| Set the rectangular region that this chart matrix will occupy. More...
virtual vtkRecti | GetRect ()
| Set the rectangular region that this chart matrix will occupy. More...
virtual void | InitLayoutTraversal (vtkVector2i &index, vtkVector2f &offset, vtkVector2f &increment)
| These methods offer an API to iterate over the layout and obtain the offset of each child element (chart or chart matrix) within the scene, the index and the increment b/w each element. More...
virtual void | GoToNextElement (vtkVector2i &index, vtkVector2f &offset)
| These methods offer an API to iterate over the layout and obtain the offset of each child element (chart or chart matrix) within the scene, the index and the increment b/w each element. More...
virtual bool | IsDoneWithTraversal ()
| These methods offer an API to iterate over the layout and obtain the offset of each child element (chart or chart matrix) within the scene, the index and the increment b/w each element. More...
| vtkSetEnumMacro (FillStrategy, StretchType)
| This specifies whether the chart matrix will fill the entire scene or instead draw itself in a user provided rectangular subset of the scene. More...
StretchType | GetFillStrategy ()
| This specifies whether the chart matrix will fill the entire scene or instead draw itself in a user provided rectangular subset of the scene. More...
Public Member Functions inherited from vtkAbstractContextItem
vtkAbstractContextItem * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | PaintChildren (vtkContext2D *painter)
| Paint the children of the item, should be called whenever the children need to be rendered. More...
virtual void | ReleaseGraphicsResources ()
| Release graphics resources hold by the item. More...
vtkIdType | AddItem (vtkAbstractContextItem *item)
| Add child items to this item. More...
bool | RemoveItem (vtkAbstractContextItem *item)
| Remove child item from this item. More...
bool | RemoveItem (vtkIdType index)
| Remove child item from this item. More...
vtkAbstractContextItem * | GetItem (vtkIdType index)
| Get the item at the specified index. More...
vtkIdType | GetItemIndex (vtkAbstractContextItem *item)
| Get the index of the specified item in itemIndex. More...
vtkIdType | GetNumberOfItems ()
| Get the number of child items. More...
void | ClearItems ()
| Remove all child items from this item. More...
vtkIdType | Raise (vtkIdType index)
| Raises the child to the top of the item's stack. More...
virtual vtkIdType | StackAbove (vtkIdType index, vtkIdType under)
| Raises the child above the under sibling. More...
vtkIdType | Lower (vtkIdType index)
| Lowers the child to the bottom of the item's stack. More...
virtual vtkIdType | StackUnder (vtkIdType child, vtkIdType above)
| Lowers the child under the above sibling. More...
virtual vtkAbstractContextItem * | GetPickedItem (const vtkContextMouseEvent &mouse)
| Return the item under the mouse. More...
virtual bool | MouseEnterEvent (const vtkContextMouseEvent &mouse)
| Mouse enter event. More...
virtual bool | MouseLeaveEvent (const vtkContextMouseEvent &mouse)
| Mouse leave event. More...
virtual bool | MouseDoubleClickEvent (const vtkContextMouseEvent &mouse)
| Mouse button double click event. More...
virtual bool | MouseWheelEvent (const vtkContextMouseEvent &mouse, int delta)
| Mouse wheel event, positive delta indicates forward movement of the wheel. More...
virtual bool | KeyPressEvent (const vtkContextKeyEvent &key)
| Key press event. More...
virtual bool | KeyReleaseEvent (const vtkContextKeyEvent &key)
| Key release event. More...
vtkContextScene * | GetScene ()
| Get the vtkContextScene for the item, always set for an item in a scene. More...
virtual void | SetParent (vtkAbstractContextItem *parent)
| Set the parent item. More...
vtkAbstractContextItem * | GetParent ()
| Get the parent item. More...
virtual vtkVector2f | MapToParent (const vtkVector2f &point)
| Maps the point to the parent coordinate system. More...
virtual vtkVector2f | MapFromParent (const vtkVector2f &point)
| Maps the point from the parent coordinate system. More...
virtual vtkVector2f | MapToScene (const vtkVector2f &point)
| Maps the point to the scene coordinate system. More...
virtual vtkVector2f | MapFromScene (const vtkVector2f &point)
| Maps the point from the scene coordinate system. More...
virtual bool | GetVisible ()
| Get the visibility of the item (should it be drawn). More...
virtual void | SetVisible (bool)
| Set the visibility of the item (should it be drawn). More...
virtual bool | GetInteractive ()
| Get if the item is interactive (should respond to mouse events). More...
virtual void | SetInteractive (bool)
| Set if the item is interactive (should respond to mouse events). More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkOTScatterPlotMatrix * | SafeDownCast (vtkObjectBase *o)
static vtkOTScatterPlotMatrix * | New ()
| Creates a new object. More...
Static Public Member Functions inherited from vtkScatterPlotMatrix
static vtkTypeBool | IsTypeOf (const char *type)
static vtkScatterPlotMatrix * | SafeDownCast (vtkObjectBase *o)
static vtkScatterPlotMatrix * | New ()
| Creates a new object. More...
Static Public Member Functions inherited from vtkChartMatrix
static vtkTypeBool | IsTypeOf (const char *type)
static vtkChartMatrix * | SafeDownCast (vtkObjectBase *o)
static vtkChartMatrix * | New ()
| Creates a new object. More...
Static Public Member Functions inherited from vtkAbstractContextItem
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAbstractContextItem * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkOTScatterPlotMatrix ()
| ~vtkOTScatterPlotMatrix () override
void | AddSupplementaryPlot (vtkChart *chart, int plotType, vtkStdString row, vtkStdString column, int plotCorner=0) override
| Add a density map as a supplementary plot, with provided row and column, computed with OpenTURNS if DensityMapVisibility is true and we are not animating. More...
Protected Member Functions inherited from vtkScatterPlotMatrix
| vtkScatterPlotMatrix ()
| ~vtkScatterPlotMatrix () override
void | UpdateLayout ()
| Internal helper to do the layout of the charts in the scatter plot matrix. More...
void | ResizeBigChart ()
| Compute and set big chart resize. More...
void | BigChartSelectionCallback (vtkObject *, unsigned long, void *)
| The callback function when SelectionChangedEvent is invoked from the Big chart. More...
virtual void | UpdateAnimationPath (const vtkVector2i &newActivePos)
| Given a new position for the active plot, calculate a an animation path from the old active plot to the new active plot. More...
virtual void | StartAnimation (vtkRenderWindowInteractor *interactor)
| Given the render window interactor, start animation of the animation path calculated above. More...
virtual void | AddSupplementaryPlot (vtkChart *vtkNotUsed(chart), int vtkNotUsed(plotType), vtkStdString vtkNotUsed(row), vtkStdString vtkNotUsed(column), int vtkNotUsed(plotCorner)=0)
| Called when drawing a chart, does nothing at this level. More...
void | AttachAxisRangeListener (vtkAxis *)
| Attach axis range listener so we can forward to dependent axes in matrix. More...
void | AxisRangeForwarderCallback (vtkObject *, unsigned long, void *)
| Attach axis range listener so we can forward to dependent axes in matrix. More...
Protected Member Functions inherited from vtkChartMatrix
| vtkChartMatrix ()
| ~vtkChartMatrix () override
virtual void | SynchronizeAxisRanges (vtkObject *caller, unsigned long eventId, void *calldata)
Protected Member Functions inherited from vtkAbstractContextItem
| vtkAbstractContextItem ()
| ~vtkAbstractContextItem () override
virtual void | ReleaseGraphicsCache ()
| Release cache entries created by this context item. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkScatterPlotMatrix
static void | ProcessEvents (vtkObject *caller, unsigned long event, void *clientData, void *callerData)
| Process events and dispatch to the appropriate member functions. More...
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkScatterPlotMatrix
vtkVector2i | ActivePlot
bool | ActivePlotValid
vtkSmartPointer< vtkTable > | Input
vtkNew< vtkStringArray > | VisibleColumns
int | NumberOfBins
vtkStdString | Title
vtkSmartPointer< vtkTextProperty > | TitleProperties
int | SelectionMode
int | NumberOfFrames
bool | Animating
Protected Attributes inherited from vtkChartMatrix
vtkVector2i | Size
vtkVector2f | Gutter
float | Padding
std::map< vtkVector2i, vtkVector2f > | SpecificResize
int | Borders [4]
bool | LayoutIsDirty
vtkRecti | Rect = { 0, 0, 100, 100 }
StretchType | FillStrategy = StretchType::SCENE
Protected Attributes inherited from vtkAbstractContextItem
vtkContextScene * | Scene
| Point to the scene the item is on - can be null. More...
vtkAbstractContextItem * | Parent
| Point to the parent item - can be null. More...
vtkContextScenePrivate * | Children
| This structure provides a list of children, along with convenience functions to paint the children etc. More...
bool | Visible
| Store the visibility of the item (default is true). More...
bool | Interactive
| Store whether the item should respond to interactions (default is true). More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

container for a matrix of charts.

This class specialize vtkScatterPlotMatrix by adding a density map on the chart, computed with OpenTURNS

See also
  vtkScatterPlotMatrix vtkOTDensityMap

Tests:
  vtkOTScatterPlotMatrix (Tests)

Definition at line 30 of file vtkOTScatterPlotMatrix.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkScatterPlotMatrix vtkOTScatterPlotMatrix::Superclass

Definition at line 33 of file vtkOTScatterPlotMatrix.h.

## Constructor & Destructor Documentation

## ◆ vtkOTScatterPlotMatrix()

vtkOTScatterPlotMatrix::vtkOTScatterPlotMatrix | ( |  | ) |
| protected

## ◆ ~vtkOTScatterPlotMatrix()

vtkOTScatterPlotMatrix::~vtkOTScatterPlotMatrix | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkOTScatterPlotMatrix::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkOTScatterPlotMatrix::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkScatterPlotMatrix.

## ◆ SafeDownCast()

static vtkOTScatterPlotMatrix* vtkOTScatterPlotMatrix::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkOTScatterPlotMatrix::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkScatterPlotMatrix.

## ◆ NewInstance()

vtkOTScatterPlotMatrix* vtkOTScatterPlotMatrix::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkOTScatterPlotMatrix::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkScatterPlotMatrix.

## ◆ New()

static vtkOTScatterPlotMatrix* vtkOTScatterPlotMatrix::New | ( |  | ) |
| static

Creates a new object.

## ◆ SetDensityMapVisibility()

void vtkOTScatterPlotMatrix::SetDensityMapVisibility | ( | int | plotType,
|  | bool | visible
| ) |  |

Set the visibility of density map for the specific plotType, false by default.

## ◆ SetDensityLineSize()

void vtkOTScatterPlotMatrix::SetDensityLineSize | ( | int | plotType,
|  | float | size
| ) |  |

Set the density line size for the specified plotType, 2 by default.

## ◆ SetDensityMapColor()

void vtkOTScatterPlotMatrix::SetDensityMapColor | ( | int | plotType,
|  | unsigned int | densityLineIndex,
|  | const vtkColor4ub & | color
| ) |  |

Set the color for the specified plotType, automatically distributed on HSV by default.

## ◆ SetTransferFunction()

void vtkOTScatterPlotMatrix::SetTransferFunction | ( | vtkScalarsToColors * | stc | ) |

Get/Set a custom color transfer function.

If none is provided, a default one will be applied based on the range of the density.

## ◆ GetTransferFunction()

vtkScalarsToColors* vtkOTScatterPlotMatrix::GetTransferFunction | ( |  | ) |

Get/Set a custom color transfer function.

If none is provided, a default one will be applied based on the range of the density.

## ◆ AddSupplementaryPlot()

void vtkOTScatterPlotMatrix::AddSupplementaryPlot | ( | vtkChart * | chart,
|  | int | plotType,
|  | vtkStdString | row,
|  | vtkStdString | column,
|  | int | plotCorner = `0`
| ) |  |
| overrideprotected

Add a density map as a supplementary plot, with provided row and column, computed with OpenTURNS if DensityMapVisibility is true and we are not animating.

The documentation for this class was generated from the following file:

- Filters/OpenTURNS/vtkOTScatterPlotMatrix.h